<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2011 Jürgen Reinhold <jreinhold@freenet.de>
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/


/**
 *
 *
 * @package du_ranking
 * @license http://www.gnu.org/licenses/lgpl.html GNU Lesser General Public License, version 3 or later
 *
 */
class Tx_DuRanking_Domain_Repository_PersonRepository extends Tx_Extbase_Persistence_Repository {

	/**
	 * Finds all persons in T3sports profiles table
	 *
	 * @return array all persons
	 */
	public function findAll() {
		
		$query = $this->createQuery();
		$query->statement('SELECT * FROM tx_cfcleague_profiles WHERE tx_cfcleague_profiles.deleted=0 AND tx_cfcleague_profiles.hidden=0 ORDER BY tx_cfcleague_profiles.last_name');
		return $query->execute();
	}
	
}
?>