<?php
if (!defined ('TYPO3_MODE')) {
	die ('Access denied.');
}

$TCA['tt_address'] = array (
	'ctrl' => $TCA['tt_address']['ctrl'],
	'interface' => array (
		'showRecordFieldList' => 'name,address,city,zip,phone,email,www,description,image'
	),
	'columns' => array (
		'hidden' => array (
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config'  => array (
				'type' => 'check'
			)
		),
		'name' => array (
			'label' => 'LLL:EXT:du_ranking/Resources/Private/Language/locallang_db.xml:tx_duranking_domain_model_location.name',
			'config' => array (
				'type' => 'input',
				'size' => '40',
				'eval' => 'trim',
				'max'  => '256'
			)
		),
		'address' => array (
			'label' => 'LLL:EXT:du_ranking/Resources/Private/Language/locallang_db.xml:tx_duranking_domain_model_location.address',
			'config' => array (
				'type' => 'text',
				'cols' => '20',
				'rows' => '3'
			)
		),
		'phone' => array (
			'label' => 'LLL:EXT:du_ranking/Resources/Private/Language/locallang_db.xml:tx_duranking_domain_model_location.phone',
			'config' => array (
				'type' => 'input',
				'eval' => 'trim',
				'size' => '20',
				'max'  => '30'
			)
		),
		'www' => array (
			'exclude' => 1,
			'label' => 'LLL:EXT:du_ranking/Resources/Private/Language/locallang_db.xml:tx_duranking_domain_model_location.www',
			'config'  => array (
				'type' => 'input',
				'eval' => 'trim',
				'size' => '20',
				'max'  => '80'
			)
		),
		'email' => array (
			'label' => 'LLL:EXT:du_ranking/Resources/Private/Language/locallang_db.xml:tx_duranking_domain_model_location.email',
			'config' => array (
				'type' => 'input',
				'size' => '40',
				'eval' => 'trim',
				'max'  => '80'
			)
		),
		'city' => array (
			'label' => 'LLL:EXT:du_ranking/Resources/Private/Language/locallang_db.xml:tx_duranking_domain_model_location.city',
			'config' => array (
				'type' => 'input',
				'size' => '20',
				'eval' => 'trim',
				'max'  => '80'
			)
		),
		'zip' => array (
			'label' => 'LLL:EXT:du_ranking/Resources/Private/Language/locallang_db.xml:tx_duranking_domain_model_location.zip',
			'config' => array (
				'type' => 'input',
				'eval' => 'trim',
				'size' => '10',
				'max'  => '20'
			)
		),
		'description' => array (
			'label' => 'LLL:EXT:du_ranking/Resources/Private/Language/locallang_db.xml:tx_duranking_domain_model_location.teams',
			'config' => array (
				'type' => 'text',
				'cols' => '40',    
				'rows' => '15'
			)
		),
		'image' => array (
			'exclude' => 0,
			'label' => 'LLL:EXT:du_ranking/Resources/Private/Language/locallang_db.xml:tx_duranking_domain_model_location.logo',
			'config' => array(
				'type' => 'group',
				'internal_type' => 'file',
				'uploadfolder' => 'uploads/tx_duranking',
				'show_thumbs' => 1,
				'size' => 5,
				'allowed' => $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext'],
				'disallowed' => '',
			),
		)
	),
	'types' => array (
		'1' => array('showitem' => 'hidden;;;;1-1-1, name, address, zip, city, email, www, phone, description, image;;;;4-4-4')
	),
	'palettes' => array (
		'1' => array('showitem' => '')
	)
);
?>