<?php
if (!defined ('TYPO3_MODE')) {
	die ('Access denied.');
}

$TCA['tx_cfcleague_profiles'] = array(
	'ctrl' => $TCA['tx_cfcleague_profiles']['ctrl'],
	'interface' => array(
		'showRecordFieldList' => 'hidden, first_name, last_name, stage_name, nationality',
	),
	'types' => array(
		'1' => array('showitem' => 'hidden;;1, first_name, last_name, stage_name, nationality'),
	),
	'palettes' => array(
		'1' => array('showitem' => ''),
	),
	'columns' => array(
		'hidden' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config' => array(
				'type' => 'check',
			),
		),
		'first_name' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:du_ranking/Resources/Private/Language/locallang_db.xml:tx_duranking_domain_model_person.firstname',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			),
		),
		'last_name' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:du_ranking/Resources/Private/Language/locallang_db.xml:tx_duranking_domain_model_person.lastname',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			),
		),
		'nationality' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:du_ranking/Resources/Private/Language/locallang_db.xml:tx_duranking_domain_model_person.team',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'stage_name' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:du_ranking/Resources/Private/Language/locallang_db.xml:tx_duranking_domain_model_person.onlinename',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		)
	),
);
?>